import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaCheckItemQu = (params) => request('/api/taCheckItemQu', { params });

/*
 * 新增数据
 */
export const postTaCheckItemQu = (data) => request('/api/taCheckItemQu', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTaCheckItemQuById = (id) => request(`/api/taCheckItemQu/${id}`);

/*
 * 更新数据
 */
export const putTaCheckItemQu = (id, data) => request(`/api/taCheckItemQu/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaCheckItemQu = (id) => request(`/api/taCheckItemQu/${id}`, { method: 'delete' });
